import request from '@/utils/request'

// 查询字典数据列表
export function listData(query) {
  return request({
    url: '/cs/csResourceDictData/list',
    method: 'get',
    params: query
  })
}
// 查询树结构字典数据列表
export function listDataTree(query) {
  return request({
    url: '/cs/csResourceDictData/treelist',
    method: 'get',
    params: query
  })
}

// 查询字典数据详细
export function getData(dictCode) {
  return request({
    url: '/cs/csResourceDictData/' + dictCode,
    method: 'get'
  })
}

// 根据字典类型查询字典数据信息   按钮
export function getDicts(dictType) {
  return request({
    url: '/cs/csResourceDictData/type/' + dictType,
    method: 'get'
  })
}
//按钮对应子集列表
export function pcodeChildrenlistType(query) {
  return request({
    url: '/cs/csResourceDictData/dataListByPcode',
    method: 'get',
    params: query
  })
}
// 新增字典数据
export function addData(data) {
  return request({
    url: '/cs/csResourceDictData',
    method: 'post',
    data: data
  })
}

// 修改字典数据
export function updateData(data) {
  return request({
    url: '/cs/csResourceDictData',
    method: 'put',
    data: data
  })
}

// 删除字典数据
export function delData(dictCode) {
  return request({
    url: '/cs/csResourceDictData/' + dictCode,
    method: 'delete'
  })
}
